﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule.MonthViewMulti;
using System.Drawing.Drawing2D;

namespace WindowsFormsApplication268
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraMonthViewMulti1.DrawFilter = new DF();
        }
    }

    class DF : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            if (drawPhase == DrawPhase.AfterDrawBackColor)
            {
                DayUIElement day = ((DayUIElement)drawParams.Element);
                if (((DayUIElement)drawParams.Element).Date.CompareTo(DateTime.Today) == 0)
                {
                    drawParams.Graphics.DrawImageUnscaledAndClipped(Image.FromFile("..//..//redTriangleHalfDay.png"), day.Rect);
                    return false;
                }
            }
            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is DayUIElement)
                return DrawPhase.AfterDrawBackColor;
            return DrawPhase.None;
        }
    }

}
